// Qaidi App: Mobile  Framework

angular.module('QaidiApp', ['pascalprecht.translate','ionic', 'QaidiCMS.config','qaidi.services','Qaidi.controllers', 'QaidiCMS.factories','mobionicApp.data', 'mobionicApp.directives', 'mobionicApp.filters', 'mobionicApp.storage', 'ngSanitize','angular-carousel','ngCordova','ngCookies','angular-szn-autocomplete'])

.run(function($rootScope, $state,$window, $ionicPopup, $translate, Language,$ionicPlatform,PushNotificationsService,$location,SettingsStorage,dLang,$window) {
	
	// hide please wait
	window.loading_screen.finish(true);

	$rootScope.GoToCat = function(CatId){
    $location.path("/app/cat/"+CatId);
	}
	$rootScope.Goto = function(path){
    $location.path("/app/"+path);
	$window.location.reload(true);

	}

	// Get Settings 
    var GetSettings = SettingsStorage.all();
	//alert(GetSettings['lang']);

    // if if first time run set languge key
    if(GetSettings['lang'] === 'none'){
	$translate.use(dLang);
$window.location.href = '#app/language';
       // $location.path('/app/language');
    }
    else {	
	$translate.use(GetSettings['lang']);

        //$location.path('/app/home');
		$window.location.href = '#app/home';

    }
	$translate.preferredLanguage(GetSettings['lang']);

	 if(GetSettings['lang'] === 'ar'){
	   $rootScope.lang_url = "arabic";
	   $rootScope.rtl = "right";
    }
     if(GetSettings['lang'] === 'ku'){	
	   $rootScope.lang_url = "kurdish";
	   $rootScope.rtl = "left";

    }else {	

        $location.path('/app/home');
    }
	
	   //make the service available     
   $rootScope.Language = Language;
   $ionicPlatform.ready(function(){
	   //window.plugin.backgroundMode.enable();
	console.log("device is ready");
	
		 if(GetSettings['nots']){
			PushNotificationsService.register();
		}else{
		PushNotificationsService.unregister($rootScope.lang_url);
		}
		
            if(window.Connection) {
                if(navigator.connection.type == Connection.NONE) {
                    $ionicPopup.confirm({
                        title: $translate.instant('MrQaidi.no_internet'),
                        content: $translate.instant('MrQaidi.no_internet_desc'),
						cancelText: $translate.instant('MrQaidi.Cancel'),
						okText: $translate.instant('MrQaidi.OK')
                    })
                    .then(function(result) {
                        if(!result) {
                            ionic.Platform.exitApp();
                        }
                    });
                }
            }

// Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
    // for form inputs)
    if(window.cordova && window.cordova.plugins.Keyboard) {
      cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
	  cordova.plugins.Keyboard.disableScroll(true);
    }
    if(window.StatusBar) {
      // Set the statusbar to use the default style, tweak this to
      // remove the status bar on iOS or change it to use white instead of dark colors.
      StatusBar.styleDefault();
    }
    ionic.Platform.isFullScreen = true;


    // Open any external link with InAppBrowser Plugin
    $(document).on('click', 'a[href^=http], a[href^=https]', function(e){

        e.preventDefault();
        var $this = $(this); 
        var target = $this.data('inAppBrowser') || '_blank';

        window.open($this.attr('href'), target);

    });

    

  });
 


})

.config(function($stateProvider, $urlRouterProvider, $ionicConfigProvider,$translateProvider) {
    //$ionicConfigProvider.rtlEnabled(true);
    // $ionicConfigProvider
    // http://ionicframework.com/docs/api/provider/%24ionicConfigProvider/
	// $ionicConfigProvider.tabs.position('bottom');
    $ionicConfigProvider.navBar.alignTitle('center');
        $ionicConfigProvider.backButton.text('').icon('ion-ios7-arrow-left');

    $stateProvider

    .state('app', {
      url: "/app",
      templateUrl: "templates/menu.html",
      controller: 'AppCtrl'
    })

    .state('app.home', {
      url: "/home",
      views: {
        'menuContent' :{
          templateUrl: "templates/home.html",
          controller: 'HomeCtrl'
        }
      }
    })  
	.state('app.radio', {
      url: "/radio",
      views: {
        'menuContent' :{
          templateUrl: "templates/Radio.html",
          controller: 'RadioCtrl'
        }
      }
    })

    .state('app.cat', {
      url: "/cat/:catId",
      views: {
        'menuContent' :{
          templateUrl: "templates/cat.html",
          controller: 'CatCtrl'
        }
      }
    })


   

    .state('app.language', {
      url: "/language",
      views: {
        'menuContent' :{
          templateUrl: "templates/language.html",
          controller: 'LanguageCtrl'
        }
      }
    })

    .state('app.post', {
      url: "/post/:postId",
      views: {
        'menuContent' :{
          templateUrl: "templates/post.html",
          controller: 'PostCtrl'
        }
      }
    })


    .state('app.settings', {
      url: "/settings",
      views: {
        'menuContent' :{
          templateUrl: "templates/settings.html",
          controller: 'SettingsCtrl'
        }
      }
    })

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/app/home');
    // Enable native scrolls for Android platform only,
    // as you see, we're disabling jsScrolling to achieve this.
    if (ionic.Platform.isAndroid()) {
      $ionicConfigProvider.scrolling.jsScrolling(false);
    }
})

.config(['$translateProvider', function ($translateProvider) {
$translateProvider.useStaticFilesLoader({
              prefix: 'languages/',
              suffix: '.json'
            });
  //$translateProvider.preferredLanguage('ku');

  $translateProvider.storageKey('mrqaidilangkey');

  // Tell the module to store the language in the cookie
  //$translateProvider.useCookieStorage();
}]);

