angular.module('mobionicApp.storage', [])
.factory(("ionPlatform"), function( $q ){
    var ready = $q.defer();

    ionic.Platform.ready(function( device ){
        ready.resolve( device );
    });

    return {
        ready: ready.promise
    }
})


.factory('LatestPostStorage', function() {
  return {
    all: function() {
      var LatestPost = window.localStorage['LatestPost'];
      if(LatestPost) {
        return angular.fromJson(LatestPost);
      }
      return {};
    },
    save: function(LatestPost) {
      window.localStorage['LatestPost'] = angular.toJson(LatestPost);
    },
    clear: function() {
      window.localStorage.removeItem('LatestPost');
    }
  }
})

.factory('CatsDataStorage', function() {
  return {
    all: function() {
      var CatsData = window.localStorage['CatsData'];
      if(CatsData) {
        return angular.fromJson(CatsData);
      }
      return {};
    },
    save: function(CatsData) {
      window.localStorage['CatsData'] = angular.toJson(CatsData);
    },
    clear: function() {
      window.localStorage.removeItem('CatsData');
    }
  }
})

.factory('CatDataStorage', function() {
  return {
    all: function() {
      var CatData = window.localStorage['CatData'];
      if(CatData) {
        return angular.fromJson(CatData);
      }
      return {};
    },
    save: function(CatData) {
      window.localStorage['CatData'] = angular.toJson(CatData);
    },
    clear: function() {
      window.localStorage.removeItem('CatData');
    }
  }
})




.factory('PostsStorage', function() {
  return {
    all: function() {
      var posts = window.localStorage['posts'];
      if(posts) {
        return angular.fromJson(posts);
      }
      return {};
    },
    save: function(posts) {
      window.localStorage['posts'] = angular.toJson(posts);
    },
    clear: function() {
      window.localStorage.removeItem('posts');
    }
  }
})




.factory('SettingsStorage', function() {
  return {
	  
    all: function() {
      var settings = window.localStorage['settings'];
      if(settings) {
        return angular.fromJson(settings);
      }else{    
	  return {
            // Initial App Setting Values
       
            lang: 'none',
            nots:true
        };
		}

    },
    save: function(settings) {
      window.localStorage['settings'] = angular.toJson(settings);
    },
	
	save_lang: function(settings) {
      window.localStorage['settings'] = angular.toJson(settings);
    }
  }
})

.factory('Device_id_Storage', function(SettingsStorage) {
  return {

    get: function() {
		var GetSettings = SettingsStorage.all();

      var Device_id = window.localStorage['Device_id'];
      var Device_lang = window.localStorage['Device_lang'];
      if(Device_id && Device_lang === GetSettings['lang']) {
        return Device_id;
      }else{    
	  return 0;
		}

    },
    save: function(Device_id) {
				var GetSettings = SettingsStorage.all();

      window.localStorage['Device_id'] = Device_id;
      window.localStorage['Device_lang'] = GetSettings['lang'];
    }
  }
})